GuMaxDD 1.5.2, MW 1.19, and WP

If you are having problems with GuMax, post here.

GuMaxDD 1.5.2, MW 1.19, and WP

Postby lph » May 17th, 2012, 4:27 am

I had GuMaxDD, MW 1.15, and WP working beautifully together. I decided to upgrade the MW to 1.19 and now immediately received get_header call was improper. I can remove the line to call the WP header and GuMax will load but now the MW is not skinned as WP.

How can I get the GuMax to properly call the WP header?

If this is added:

Code: Select all
require('/the/path/to/your/wp-blog-header.php');

Then a sunrise.php error is given when the following is called:

Code: Select all
$dm_domain = $wpdb->escape( $_SERVER[ 'HTTP_HOST' ] );


Any suggestions?
User avatar
lph
Rank 0
Rank 0
 
Posts: 1
Joined: May 17th, 2012, 4:10 am

Re: GuMaxDD 1.5.2, MW 1.19, and WP

Postby Paul » May 21st, 2012, 10:03 pm

Every new mediawiki release will break the existing skins due to massive changes in mediawiki core and it really sucks.

The new mediawiki uses its core header and it's really bad, you better roll back your mediawiki if you are planning to have custom header. I did rollback for my wiki - paulgu.com due to many issues with new mediawiki skinning.
User avatar
Paul
Development Team Leader
Development Team Leader
 
Posts: 1132
Joined: October 20th, 2007, 2:23 pm


Return to GuMax Troubleshooting and Problems

Who is online

Users browsing this forum: No registered users and 1 guest

cron